Name:           ocaml-size
Version:        1.7
Release:        %mkrel 10
Summary:        Memory size of an OCaml value
License:        LGPL 2.1, with the special exception on linking
Group:          Development/OCaml
URL:            http://www.lri.fr/~filliatr/software.en.html
Source0:        http://www.lri.fr/~filliatr/ftp/ocaml/ds/size.ml
Source1:        http://www.lri.fr/~filliatr/ftp/ocaml/ds/size.mli
Source2:        META
BuildRequires:  ocaml-compiler

%description
Memory size of an OCaml value.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE2} .
sed -i -e 's:@VERSION@:%{version}:g' META

%build
ocamlbuild size.cma size.mli size.ml
ocamlbuild size.cmxa size.mli size.ml

%install
%define destdir %{buildroot}/%{_libdir}/ocaml/size
cd _build
install -d -m 755 %{destdir}
install -m 0644 ../META ../size.mli size.cmi size.cma size.cmxa size.a %{destdir}

%files
%dir %{_libdir}/ocaml/size
%{_libdir}/ocaml/size/META
%{_libdir}/ocaml/size/*.cmi
%{_libdir}/ocaml/size/*.cma

%files devel
%{_libdir}/ocaml/size/*.a
%{_libdir}/ocaml/size/*.cmxa
%{_libdir}/ocaml/size/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.7-10.mga6
+ Revision: 1056441
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 1.7-9.mga6
+ Revision: 956450
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7-8.mga5
+ Revision: 745915
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7-7.mga5
+ Revision: 683107
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.7-6.mga4
+ Revision: 508573
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.7-5.mga3
+ Revision: 361630
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.7-4.mga3
+ Revision: 301482
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.7-2.mga3
+ Revision: 300463
- new rpm group for ocaml

* Thu Apr 12 2012 blue_prawn <blue_prawn> 1.7-1.mga2
+ Revision: 230551
- imported package ocaml-size

